Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.log4j
Class ConsoleAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--org.jboss.logging.log4j.ConsoleAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class ConsoleAppender
extends org.apache.log4j.AppenderSkeleton

A log4j Appender implementation that writes to the System.out and System.err console streams. It also installs PrintStreams for System.out and System.err to route logging through those objects to the log4j system via a category named Default.

Version:
  $Revision: 1.2.2.1 $
Author:
  Scott Stark.

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold, THRESHOLD_OPTION`

Constructor Summary
`ConsoleAppender()` Creates new ConsoleAppender

Method Summary
`void` | `activateOptions()`
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
`void` | `close()`
`boolean` | `requiresLayout()`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getOptionStrings, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setOption, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleAppender

    public ConsoleAppender()

  Creates new ConsoleAppender

Method Detail

### activateOptions

    public void activateOptions()

  Overrides:
    `activateOptions` in class `org.apache.log4j.AppenderSkeleton`

### requiresLayout

    public boolean requiresLayout()

  Overrides:
    `requiresLayout` in class `org.apache.log4j.AppenderSkeleton`

### close

    public void close()

  Overrides:
    `close` in class `org.apache.log4j.AppenderSkeleton`

### append

    protected void append(org.apache.log4j.spi.LoggingEvent event)

  Overrides:
    `append` in class `org.apache.log4j.AppenderSkeleton`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.